eWallet GO! System Requirements

AA-01917

The following table lists the system requirements for each platform eWallet GO!® is available for:

Platform: eWallet GO! for
Supported Devices
Android Android 2.1 to 4.x (also Kindle Fire)
iPhone, iPod touch iOS 4.3 or higher
Windows Phone 7 Windows Phone 7.5
Mac Mac OS X 10.7 or later
Windows PC Windows 7
Windows 8